<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.133
Name: A_HeelPrick [universal]
Description: COCT_RM900920NL: Gegevens over de hielprik. De aanvraag, de uitvoering en het resultaat
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000">
   <title>A_HeelPrick [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]
Item: (A_HeelPrick-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]"
         id="tmp-r-65de7ac5-f9d2-4cdd-9edd-720a554b1a97">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@classCode)='SPECCOLLECT' or not(@classCode)">(A_HeelPrick-universal): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_HeelPrick-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@negationInd='true') or hl7:reasonCode">(A_HeelPrick-universal): 
                    <name/>/@negationInd='true' maar er is geen reden niet afgenomen in reasonCode</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@negationInd='true' or not(hl7:reasonCode)">(A_HeelPrick-universal): 
                    <name/>/@negationInd!='true' maar er is toch een reden niet afgenomen in reasonCode</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']/@nullFlavor)">(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&lt;=1">(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&lt;=1">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(A_HeelPrick-universal): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(A_HeelPrick-universal): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]])&lt;=1">(A_HeelPrick-universal): element hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]])&lt;=1">(A_HeelPrick-universal): element hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:templateId
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:templateId"
         id="tmp-r-404b8b86-01be-44af-9a08-2ebacbdc72fe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.133'">(A_HeelPrick-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.133' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]"
         id="tmp-r-717adcd9-db44-4c38-8edf-0f66ca43e6c2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_HeelPrick-universal): de elementwaarde MOET zijn W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:reasonCode
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:reasonCode"
         id="tmp-r-734d7f29-4dde-4d80-9f97-1ebab695df94">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.313-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_HeelPrick-universal): de elementwaarde MOET zijn W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.313-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer"
         id="tmp-r-e1af213f-3943-41c4-a3ae-34a7339145c6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(A_HeelPrick-universal): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(A_HeelPrick-universal): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(A_HeelPrick-universal): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(A_HeelPrick-universal): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:time
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:time"
         id="tmp-r-6f1956b8-2c26-40f3-b072-b9a3720981ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity"
         id="tmp-r-d26933be-41ed-46aa-ac03-ac1d25251abb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(A_HeelPrick-universal): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(A_HeelPrick-universal): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-d5845a9b-31a4-42d7-a578-4027aeff140d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(A_HeelPrick-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(A_HeelPrick-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(A_HeelPrick-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(A_HeelPrick-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-5e261d37-0576-4a07-8e93-9b927951a3e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-feb091b4-f02f-4852-985a-649d45715e2b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(A_HeelPrick-universal): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(A_HeelPrick-universal): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-b68b9046-badb-4367-86e9-3034ee92dd04">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(A_HeelPrick-universal): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]"
         id="tmp-r-b9647c7d-525e-4242-9f42-0618e9e6cf25">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='OUTC' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'OUTC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]])&gt;=1 and not(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]/@nullFlavor)">(A_HeelPrick-universal): element hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]])&lt;=1">(A_HeelPrick-universal): element hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result"
         id="tmp-r-75d1298f-a614-42b7-9db8-51061191a478">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(A_HeelPrick-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&lt;=1">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')])&gt;=1 and not(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')])&lt;=1">(A_HeelPrick-universal): element hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:id
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:id"
         id="tmp-r-9b2be95f-a2ff-4312-a8c5-e9f28312ed5c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]"
         id="tmp-r-e2ce962e-94d8-4f9e-9e01-0f45a0fd0268">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_HeelPrick-universal): de elementwaarde MOET zijn W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]
Item: (A_HeelPrick-universal)
-->

<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]"
         id="tmp-r-3c377cf9-1ddc-4b7b-8fec-98a53e2b68dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.321-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_HeelPrick-universal): de elementwaarde MOET zijn W0321_HL7 W0321 Uitslag (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.321-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0321_HL7 W0321 Uitslag (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]
Item: (A_HeelPrick-universal)
-->
<rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]"
         id="tmp-r-ce816555-a507-4f17-94f7-c616db998b35">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='FLFS' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
   </rule>
</pattern>