<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.134
Name: Hielprikverzoek (geen patiënt)
Description: Hielprikverzoekgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000">
   <title>Hielprikverzoek (geen patiënt)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]"
         id="tmp-r-5b86af22-447c-44cf-8972-59bacf2c3a6f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']])&gt;=1 and not(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/@nullFlavor)">(Hielprikverzoek): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']])&lt;=1">(Hielprikverzoek): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]"
         id="tmp-r-578c2c8e-605c-4232-a431-b90a4db83c60">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='SPECCOLLECT'">(Hielprikverzoek): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@moodCode)='RQO'">(Hielprikverzoek): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&gt;=1 and not(hl7:realmCode[@code='NL']/@nullFlavor)">(Hielprikverzoek): element hl7:realmCode[@code='NL'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&lt;=1">(Hielprikverzoek): element hl7:realmCode[@code='NL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']/@nullFlavor)">(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'])&lt;=1">(Hielprikverzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Hielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]/@nullFlavor)">(Hielprikverzoek): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&lt;=1">(Hielprikverzoek): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(Hielprikverzoek): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(Hielprikverzoek): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]])&lt;=1">(Hielprikverzoek): element hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(Hielprikverzoek): element hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:subjectOf6)&lt;=1">(Hielprikverzoek): element hl7:subjectOf6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:realmCode[@code='NL']
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:realmCode[@code='NL']"
         id="tmp-r-1771eaad-8922-47db-81e0-ab56b0536400">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NL')">(Hielprikverzoek): de elementwaarde MOET zijn code 'NL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:templateId
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:templateId"
         id="tmp-r-6652ec70-32c4-4ff4-8d57-298feba0a3bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.134'">(Hielprikverzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.134' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:id"
         id="tmp-r-eb15982c-1048-4e27-a459-769246e1ac9b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]"
         id="tmp-r-d290caf9-92d1-4fe3-903a-4ef07f44612b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Hielprikverzoek): de elementwaarde MOET zijn W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)">(Hielprikverzoek): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason">(Hielprikverzoek): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)">(Hielprikverzoek): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation">(Hielprikverzoek): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)">(Hielprikverzoek): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:statusCode[@code='active']
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:statusCode[@code='active']"
         id="tmp-r-292e46e5-96dd-4d29-a9b2-aa4fe1c97409">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active')">(Hielprikverzoek): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]"
         id="tmp-r-1c1fd67d-29fd-4a31-a5bd-710e5eb93bb3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']])&gt;=1 and not(hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]/@nullFlavor)">(Hielprikverzoek): element hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']])&lt;=1">(Hielprikverzoek): element hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]/hl7:act
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]/hl7:act"
         id="tmp-r-a8586896-1643-4f17-9f51-56baa6b388f6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='ALRT'">(Hielprikverzoek): de waarde van @classCode MOET 'ALRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH'])&gt;=1 ">(Hielprikverzoek): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH'])&lt;=1">(Hielprikverzoek): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]/hl7:act/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]/hl7:act/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']"
         id="tmp-r-30326cc9-31ba-442d-9b8e-da39c62e5edd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Hielprikverzoek): de elementwaarde MOET zijn W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Hielprikverzoek): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@displayName or not(@code)">(Hielprikverzoek): @displayName is verplicht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-1aea4b58-5a3a-4330-ab75-8d56b6bbec90">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@typeCode)='REFR'">(Hielprikverzoek): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(Hielprikverzoek): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(Hielprikverzoek): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act"
         id="tmp-r-dfc8c793-8333-4299-9330-72bea16590ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='DOC'">(Hielprikverzoek): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Hielprikverzoek): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 ">(Hielprikverzoek): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(Hielprikverzoek): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:id"
         id="tmp-r-f97f600f-5548-49d6-8837-0c3c20f84d04">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-d62ce6da-ec09-4575-a45a-83bf7d818bd0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(Hielprikverzoek): de elementwaarde MOET zijn code '1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6"
         id="tmp-r-65a60451-d032-46c8-88dc-dfb034db384f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(Hielprikverzoek): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">(Hielprikverzoek): element hl7:seperatableInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(Hielprikverzoek): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(Hielprikverzoek): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(Hielprikverzoek): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:seperatableInd
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:seperatableInd"
         id="tmp-r-b4daa6ca-37d2-4648-896d-40a437cc75a9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@value)='false'">(Hielprikverzoek): de waarde van @value MOET 'false' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation"
         id="tmp-r-5086a0b5-f172-4059-a14d-79033e2c22d7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='ACT'">(Hielprikverzoek): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(Hielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Hielprikverzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(Hielprikverzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(Hielprikverzoek): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(Hielprikverzoek): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(Hielprikverzoek): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(Hielprikverzoek): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:text
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:text"
         id="tmp-r-b68cbce8-5101-46e2-8507-da86a185008e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']"
         id="tmp-r-1b367ecd-2f96-47cb-b614-0ca9158666e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Hielprikverzoek): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author"
         id="tmp-r-e6945579-b533-4147-a5f2-3dda11d0b1d0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(Hielprikverzoek): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(Hielprikverzoek): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Hielprikverzoek): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity"
         id="tmp-r-937c5730-b0de-4f53-a33d-43be6e41e4ec">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(Hielprikverzoek): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Hielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(Hielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.134
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id
Item: (Hielprikverzoek)
-->

<rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-r-2863fe93-eaae-4f9b-8b98-8aa997975d26">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.134-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hielprikverzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>